package com.example.netwrok_datastore

import androidx.test.platform.app.InstrumentationRegistry
import androidx.test.ext.junit.runners.AndroidJUnit4
import com.example.netwrok_datastore.domain.validator.EmailValidator

import org.junit.Test
import org.junit.runner.RunWith

import org.junit.Assert.*
import org.junit.runners.Parameterized
import org.junit.runners.Parameterized.Parameters

/**
 * Instrumented test, which will execute on an Android device.
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
@RunWith(Parameterized::class)
class EmailValidationTest(val email: String, val resultTest: Boolean) {

    @Test
    fun testValidationEmail(){

        val result = EmailValidator().validate(email)
        assertEquals(result, resultTest)
    }


    companion object{
        @JvmStatic
        @Parameters
        fun getData() = listOf(
            arrayOf("test", false),
            arrayOf("@", false),
            arrayOf("test@", true),
            arrayOf("test.ru", false)
        )
    }
}